0 Replies Latest reply on Oct 10, 2016 10:04 AM by whsprague

    Premier Elements and Quicktime

    whsprague Adobe Community Professional

      Adobe required Quicktime to be installed for Premier Elements through version 14.  The requirements for version 15 have left that out. 

       

      Reference:  https://helpx.adobe.com/premiere-elements/system-requirements.html

       

      FWIW, Apple stopped supporting Quicktime for Windows and computer security experts have said there are hacking dangers lurking in Quicktime for Windows.  There have been various work arounds, including file renaming.  But, not needing it at all is an improvement with the latest and newest version.